<template>
  <el-form
    v-loading="loading"
    ref="ruleForm"
    :model="ruleForm"
    status-icon
    :rules="rulesThis"
    :label-width="labelWidth || '110px'"
    class="demo-ruleForm-goodsOnline"
    :size="'mini'"
  >
    <el-row>
      <el-col :span="12"
        ><el-form-item label="平台商品编码" prop="plat_code">
          <el-input
            v-model="ruleForm.plat_code"
            placeholder="平台商品编码"
            maxlength="100"
          ></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="12" class="tr">
        <el-button :size="'mini'" type="primary" @click="submitForm"
          >保 存
        </el-button>
      </el-col>
    </el-row>
  </el-form>
</template>

<script>
import costFormAddEdit from "./costFormAddEdit";
import asyncRequest from "@/apis/service/goodStore/goodsOnline";
export default {
  name: "exam-form",
  props: [
    "size",
    "statusList",
    "disabled",
    "isMust",
    "labelWidth",
    "id",
    "code",
  ],
  components: {
    costFormAddEdit,
  },
  /**
   * 属性集合
   * @param {String}        size             : 组件大小             非必填
   * @param {Array}         statusList       : 驳回至备选项          必填
   * @param {Boolean}       disabled         : 是否禁用              必填
   * @param {Boolean}       isMust           : 是否需要展示驳回节点   必填
   *
   *
   */
  /**
   * 事件集合
   * @searchChange             : 选中值变化调用   抛出选中数据
   */
  data() {
    return {
      loading: false,

      showModelThis: this.showModel,
      pickerOptions: {
        disabledDate(time) {
          return time.getTime() < Date.now() - 60 * 60 * 24 * 1000;
        },
      },

      ruleForm: {
        plat_code: "",
      },
      rulesThis: this.rules,
      rules: {
        plat_code: [
          {
            required: true,
            message: "平台商品编码不能为空",
            trigger: "blur",
          },
        ],
      },
    };
  },
  newTime: function (val) {
    if (val) {
      this.initForm();
    }
  },
  mounted() {
    this.initForm();
  },
  methods: {
    async initForm() {
      this.loading = true;
      this.rulesThis = this.rules;
      await this.resetForm();
      this.loading = false;
    },

    async resetForm() {
      // 重置
      await this.$nextTick(() => {
        if (this.$refs.ruleForm) {
          this.$refs.ruleForm.resetFields();
          this.$refs.ruleForm.clearValidate();

          this.ruleForm = {
            plat_code: this.code || "",
          };
        }
      });
    },
    async submitForm() {
      await this.$refs.ruleForm.validate(async (valid) => {
        if (valid) {
          let model = JSON.parse(JSON.stringify(this.ruleForm));
          // 刷新
          this.$emit("resSuccess", model);
          // this.routeReGoto("goodsOnline", {});
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.demo-ruleForm-goodsOnline {
  .shangchuan-ul {
    li {
      position: relative;
      width: 100%;
      &.tupian {
      }
    }
  }
}
</style>